/*
 * Hedgewars, a free turn based strategy game
 * Copyright (c) 2013 Vittorio Giovara <vittorio.giovara@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#define AMMOLINE_EMPTY_QT       "0000009000000000000000000000000000000000000000000000000000"
#define AMMOLINE_EMPTY_PROB     "0000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_EMPTY_DELAY    "0000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_EMPTY_CRATE    "1311110312111111123114111111111111111211111111111111111111"

/*
 AmmoType lookup table (use monospace font / cursor movements)

 amGrenade-----------------------|
 amClusterBomb--------------------|
 amBazooka-------------------------|
 amBee------------------------------|
 amShotgun---------------------------|
 amPickHammer-------------------------|
 amSkip--------------------------------|
 amRope---------------------------------|
 amMine----------------------------------|
 amDEagle---------------------------------|
 amDynamite--------------------------------|
 amFirePunch--------------------------------|
 amWhip--------------------------------------|
 amBaseballBat--------------------------------|
 amParachute-----------------------------------|
 amAirAttack------------------------------------|
 amMineStrike------------------------------------|
 amBlowTorch--------------------------------------|
 amGirder------------------------------------------|
 amTeleport-----------------------------------------|
 amSwitch--------------------------------------------|
 amMortar---------------------------------------------|
 amKamikaze--------------------------------------------|
 amCake-------------------------------------------------|
 amSeduction---------------------------------------------|
 amWatermelon---------------------------------------------|
 amHellishBomb---------------------------------------------|
 amNapalm---------------------------------------------------|
 amDrill-----------------------------------------------------|
 amBallgun----------------------------------------------------|
 amRCPlane-----------------------------------------------------|
 amLowGravity---------------------------------------------------|
 amExtraDamage---------------------------------------------------|
 amInvulnerable---------------------------------------------------|
 amExtraTime-------------------------------------------------------|
 amLaserSight-------------------------------------------------------|
 amVampiric----------------------------------------------------------|
 amSniperRifle--------------------------------------------------------|
 amJetpack-------------------------------------------------------------|
 amMolotov--------------------------------------------------------------|
 amBirdy-----------------------------------------------------------------|
 amPortalGun--------------------------------------------------------------|
 amPiano-------------------------------------------------------------------|
 amGasBomb------------------------------------------------------------------|
 amSineGun-------------------------------------------------------------------|
 amFlamethrower---------------------------------------------------------------|
 amSMine-----------------------------------------------------------------------|
 amHammer-----------------------------------------------------------------------|
 amResurrector-------------------------------------------------------------------|
 amDrillStrike--------------------------------------------------------------------|
 amSnowball------------------------------------------------------------------------|
 amTardis---------------------------------------------------------------------------|
 amLandGun---------------------------------------------------------------------------|
 amIceGun-----------------------------------------------------------------------------|
 amKnife-------------------------------------------------------------------------------|
 amRubber-------------------------------------------------------------------------------|
 amAirMine-------------------------------------------------------------------------------|
 amDuck-----------------------------------------------------------------------------------|
*/
#define AMMOLINE_DEFAULT_QT     "9391929422199121032235111001200000000211100101011111000102"
#define AMMOLINE_DEFAULT_PROB   "0405040541600655546554464776576666666155510101115411111114"
#define AMMOLINE_DEFAULT_DELAY  "0000000000000205500000040007004000000000220000000600020000"
#define AMMOLINE_DEFAULT_CRATE  "1311110312111111123114111111111111111211111111111111111111"

#define AMMOLINE_CRAZY_QT       "9999999999999999992999999999999999299999999999999992999199"
#define AMMOLINE_CRAZY_PROB     "1111110111111111111111111111111111111111111111111111111111"
#define AMMOLINE_CRAZY_DELAY    "0000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_CRAZY_CRATE    "1311110312111111123114111111111111111211111111111111111111"

#define AMMOLINE_PROMODE_QT     "9090009000000000000009000000000000000000000000000000000000"
#define AMMOLINE_PROMODE_PROB   "0000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_PROMODE_DELAY  "0000000000000205500000040007004000000000200000000000020000"
#define AMMOLINE_PROMODE_CRATE  "1111110111111111111111111111111111111111111111111111111111"

#define AMMOLINE_SHOPPA_QT      "0000009900000000000000000000000000000000000000000000000000"
#define AMMOLINE_SHOPPA_PROB    "4444410044244402210112121222422000000002000400010011001011"
#define AMMOLINE_SHOPPA_DELAY   "0000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_SHOPPA_CRATE   "1111110111111111111111111111111111111111111111111111111111"

#define AMMOLINE_CLEAN_QT       "1010009000010000011000000000000000000000000000001000000000"
#define AMMOLINE_CLEAN_PROB     "0405040541600655546554464776576666666155510101115411121114"
#define AMMOLINE_CLEAN_DELAY    "0000000000000000000000000000000000000000000000000000020000"
#define AMMOLINE_CLEAN_CRATE    "1311110312111111123114111111111111111211111111111111111111"

#define AMMOLINE_MINES_QT       "0000009900090000000300000000000000000000000000000000000000"
#define AMMOLINE_MINES_PROB     "0000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_MINES_DELAY    "0000000000000205500000040007004000000000200000000600020000"
#define AMMOLINE_MINES_CRATE    "1111110111111111111111111111111111111111111111111111111111"

#define AMMOLINE_PORTALS_QT     "9000009002000000002100000000000000110000090000000000000000"
#define AMMOLINE_PORTALS_PROB   "0405040541600655546554464776576666666155510101115411121112"
#define AMMOLINE_PORTALS_DELAY  "0000000000000205500000040007004000000000200000000600020000"
#define AMMOLINE_PORTALS_CRATE  "1311110312111111123114111111111111111211111111111111111111"

#define AMMOLINE_ONEEVERY_QT    "1111119111111111111111111111111111111111111111111111111111"
#define AMMOLINE_ONEEVERY_PROB  "1111110111111111111111111111111111111111111111111111111111"
#define AMMOLINE_ONEEVERY_DELAY "0000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_ONEEVERY_CRATE "1111110111111111111111111111111111111111111111111111111111"

#define AMMOLINE_HIGHLANDER_QT    "1111119111111111111101911111111110010111110111100100101111"
#define AMMOLINE_HIGHLANDER_PROB  "0000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_HIGHLANDER_DELAY "0000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_HIGHLANDER_CRATE "0000000000000000000000000000000000000000000000000000000000"

#define AMMOLINE_CONSTRUCTION_QT    "1100019000000010010000000000000000000000000000000000000000"
#define AMMOLINE_CONSTRUCTION_PROB  "1111110111111111111111111111111111111111111111111111111111"
#define AMMOLINE_CONSTRUCTION_DELAY "0000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_CONSTRUCTION_CRATE "1111110111111111111111111111111111111111111111111111111111"

#define AMMOLINE_SHOPPAPRO_QT      "0000009900000000000000000000000000000000000000000000000000"
#define AMMOLINE_SHOPPAPRO_PROB    "4444400044044400000000000000400000000000000000000000000000"
#define AMMOLINE_SHOPPAPRO_DELAY   "0000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_SHOPPAPRO_CRATE   "1111110111111111111111111111111111111111111111111111121111"

#define AMMOLINE_HEDGEEDITOR_QT    "0000009000000000000000000000000000000000000000000000000000"
#define AMMOLINE_HEDGEEDITOR_PROB  "0000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_HEDGEEDITOR_DELAY "0000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_HEDGEEDITOR_CRATE "1111110111111111111111111111111111111111111111111111111111"
